## resolvconf-admin 0.3

=== Makefile ===
#!/usr/bin/make -f

OBJECTS = resolvconf-admin resolvconf-admin.1

CFLAGS += -Wall -Werror -pedantic -g

SBINRESOLVCONF ?= /sbin/resolvconf
ETCRESOLVCONF ?= /etc/resolv.conf

FILENAMES = -DSBINRESOLVCONF=\"$(SBINRESOLVCONF)\" -DETCRESOLVCONF=\"$(ETCRESOLVCONF)\"

PREFIX ?= /usr
MANPATH ?= $(PREFIX)/share/man

VERSION ?= $(shell head -n1 < CHANGES | cut -f2 -d\ )


all: $(OBJECTS)

%: %.c
	$(CC) $(CPPFLAGS) $(CFLAGS) $(LDFLAGS) $(FILENAMES) -o $@ $<

resolvconf-admin.1.md: resolvconf-admin.1.md.in
	sed -e 's!@SBINRESOLVCONF@!$(SBINRESOLVCONF)!g' \
	    -e 's!@ETCRESOLVCONF@!$(ETCRESOLVCONF)!g' \
	   < $< > $@

resolvconf-admin.1: resolvconf-admin.1.md
	pandoc -s -f markdown -t man -o $@ $<

resolvconf-admin-test: resolvconf-admin.c
	$(CC) $(CPPFLAGS) $(CFLAGS) $(LDFLAGS) -DSBINRESOLVCONF=\"$(CURDIR)/tests/dummy-resolvconf2\" -DETCRESOLVCONF=\"$(CURDIR)/tests/resolv.conf\" -o $@ $<

check: resolvconf-admin-test tests/run tests/dummy-resolvconf tests/getifname
	tests/run

install: resolvconf-admin resolvconf-admin.1
	install -D -m 4754 resolvconf-admin $(DESTDIR)$(PREFIX)/bin/resolvconf-admin
	install -D -m 0644 resolvconf-admin.1 $(DESTDIR)$(MANPATH)/man1/resolvconf-admin.1

clean:
	rm -f $(OBJECTS) resolvconf-admin-test tests/resolv.conf tests/dummy-resolvconf2 resolvconf-admin.1.md tests/getifname

# for upstream maintainer working from git only:
release:
	git tag -d resolvconf-admin-$(VERSION) || true
	git tag -s resolvconf-admin-$(VERSION) -m 'tagging release of resolvconf-admin $(VERSION)' master
	git archive --format=tar --prefix=resolvconf-admin-$(VERSION)/ resolvconf-admin-$(VERSION) | gzip -9n > ../resolvconf-admin_$(VERSION).orig.tar.gz
	gpg --armor --detach-sign ../resolvconf-admin_$(VERSION).orig.tar.gz

.PHONY: all clean check install release

=== debian/changelog ===
resolvconf-admin (0.3-1) unstable; urgency=medium

  * Clear the environment before exec'ing resolvconf (avoids trivial
    privilege escalation vulnerability, see
    https://github.com/dkg/resolvconf-admin/issues/5)
  * Standards-Version: bump to 4.1.1 (no changes needed)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Mon, 30 Oct 2017 12:48:41 +0100

resolvconf-admin (0.2-1) unstable; urgency=medium

  * new upstream release
   - fix "make check" on platforms without interface "lo" (Closes: #876061)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Mon, 18 Sep 2017 11:50:52 -0400

resolvconf-admin (0.1-1) unstable; urgency=medium

  * prepare debian package (Closes: #875874)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Fri, 15 Sep 2017 12:23:07 -0400

=== debian/control ===
Source: resolvconf-admin
Section: net
Priority: optional
Maintainer: Daniel Kahn Gillmor <dkg@fifthhorseman.net>
Build-Depends:
 pandoc,
 debhelper (>= 10~),
Standards-Version: 4.1.1
Homepage: https://github.com/dkg/resolvconf-admin
Vcs-Git: https://anonscm.debian.org/git/collab-maint/resolvconf-admin -b debian
Vcs-Browser: https://anonscm.debian.org/git/collab-maint/resolvconf-admin

Package: resolvconf-admin
Architecture: any
Depends:
 adduser,
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 resolvconf,
Enhances:
 resolvconf,
Description: setuid helper program for setting up the local DNS
 resolvconf-admin deals with setting the local DNS information, which
 needs to be done by root on some systems. For example, it should
 enable a non-privileged DHCP client to add information about DNS
 resolvers it discovers.
 .
 If /sbin/resolvconf is present, it is invoked as root with the
 recommended data. If it is not present, then /etc/resolv.conf is
 overwritten with a simple file.
 .
 Note: setuid binaries like resolvconf-admin are additional attack
 surface on your system.  If you can use a different approach, such as
 enabling systemd-resolved, you should probably prefer it.
 .
 DO NOT INSTALL THIS PACKAGE (or any other with a setuid binary) IF
 YOU DO NOT NEED IT!

=== debian/tests/control ===
Tests: simple-with-resolvconf
Depends: @, resolvconf, build-essential
Restrictions: needs-root

Tests: simple-no-resolvconf
Depends: @, build-essential
Restrictions: needs-root

=== debian/watch ===
version=4

https://github.com/dkg/resolvconf-admin/tags (?:.*?/)?resolvconf-admin-?(\d[\d.]*)\.tar\.gz
